## nabu 2024.2.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
GETMATHJAX    = python get_mathjax.py
CREATECONFDOC = python create_conf_doc.py

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(GETMATHJAX)
	$(CREATECONFDOC)
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

mathjax:
	$(GETMATHJAX)

confdoc:
	$(CREATECONFDOC)

## nabu 2023.1.1

=== debian/changelog ===
nabu (2023.1.1-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 08 Aug 2023 09:48:24 +0200

nabu (2023.1.1-2) unstable; urgency=medium

  * Add missing entries in debian/copyright.

 -- Roland Mas <lolando@debian.org>  Sat, 29 Jul 2023 00:19:28 +0200

nabu (2023.1.1-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Sat, 22 Jul 2023 11:17:41 +0200

=== debian/control ===
Source: nabu
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-h5py (>= 3.0),
               python3-numpy,
               python3-psutil,
               python3-pytest,
               python3-scipy,
               python3-setuptools,
               python3-silx,
               python3-tifffile,
	       python3-tomoscan
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://gitlab.esrf.fr/tomotools/nabu
Vcs-Git: https://salsa.debian.org/python-team/packages/nabu.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nabu
Rules-Requires-Root: no

Package: python3-nabu
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-tomoscan
Description: ESRF tomography processing software
 Nabu can be used in several ways:
  - As a Python library, by features like Backprojector, FlatField, etc
  - As a standalone application with the command line interface
  - From Tomwer (https://gitlab.esrf.fr/tomotools/tomwer/)

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=nabu
%:
	dh $@ --with python3 --buildsystem=pybuild

## nabu 2024.1.6

=== debian/changelog ===
nabu (2024.1.6-4) unstable; urgency=medium

  * d/control: Used dh-sequence-python3
  * d/rules: install only the nabu package
  * d/t/nabu-test: make the test verbose

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 26 Jun 2024 18:58:59 +0200

nabu (2024.1.6-3) unstable; urgency=medium

  * use the upstream test method for autopkgtests
  * d/control: Added also pocl in order to run tests during the build

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 26 Jun 2024 14:54:51 +0200

nabu (2024.1.6-2) unstable; urgency=medium

  * Bug fix: "ships /usr/lib/python3/dist-packages/build/lib/doc/conf.py",
    thanks to Andreas Beckmann (Closes: #1071100).

 -- Roland Mas <lolando@debian.org>  Wed, 22 May 2024 17:12:09 +0200

nabu (2024.1.6-1) unstable; urgency=medium

  * New upstream release. This fixes: "FTBFS: AssertionError:
    OpenclUnsharpMask: max error is too high with method", thanks to
    Andrius Merkys (Closes: #1069224).

 -- Roland Mas <lolando@debian.org>  Sat, 11 May 2024 19:03:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Debian Python Team <team+python@tracker.debian.org>,
  Roland Mas <lolando@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pocl-opencl-icd,
                python3-all,
                python3-h5py (>= 3.0),
                python3-numpy,
@@ -16,9 +17,12 @@
                python3-setuptools,
                python3-silx,
                python3-tifffile,
-	       python3-tomoscan
+	       python3-tomoscan,
+	       pybuild-plugin-pyproject,
+	       python3-pyunitsystem,
+	       python3-nxtomo,
+               python3-wheel,
 Standards-Version: 4.6.2.0
-Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://gitlab.esrf.fr/tomotools/nabu
 Vcs-Git: https://salsa.debian.org/python-team/packages/nabu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nabu

=== debian/tests/control ===
Tests: nabu-pocl
Depends:
 clinfo,
 pocl-opencl-icd,
 python3-all,
 python3-nabu,
Restrictions: allow-stderr

## nabu 2024.1.7

=== debian/changelog ===
nabu (2024.1.7-2) unstable; urgency=medium

  * d/t/control: autopkgtest only on amd64, arm64 and ppc64el

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 24 Jul 2024 15:35:42 +0200

nabu (2024.1.7-1) unstable; urgency=medium

  * New upstream version 2024.1.7
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * d/t/nabu-pocl: removed useless skip

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 23 Jul 2024 16:41:49 +0200

nabu (2024.1.6-5) unstable; urgency=medium

  * d/control: Added myself has Uploaders.
  * wrap-and-sort -ast
  * d/control: Added B-D python3-[glymur|pywt|pyvkfft|skimage]
  * d/t/nabu-pocl: remove a bunch of failling test.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 17 Jul 2024 17:20:06 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,5 @@
  pocl-opencl-icd,
  python3-all,
  python3-nabu,
+Architecture: amd64 arm64 ppc64el
 Restrictions: allow-stderr

## nabu 2024.1.9

=== debian/changelog ===
nabu (2024.1.9-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 05 Nov 2024 10:22:36 +0100

nabu (2024.1.9-3) unstable; urgency=medium

  * Stop running the autopkgtests on ppc64el since pocl-opencl-icd isn't
    available there.

 -- Roland Mas <lolando@debian.org>  Sat, 05 Oct 2024 10:58:28 +0200

nabu (2024.1.9-2) unstable; urgency=medium

  * d/p/relax torelance and see if it fix the autopkgtest on arm64 and ppc64el

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 18 Sep 2024 13:32:14 +0200

nabu (2024.1.9-1) unstable; urgency=medium

  * New upstream version 2024.1.9

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 10 Aug 2024 14:36:11 +0200

=== debian/control ===
Source: nabu
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Picca Frederic-Emmanuel <picca@debian.org>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pocl-opencl-icd,
 pybuild-plugin-pyproject,
 python3-all,
 python3-glymur,
 python3-h5py (>= 3.0),
 python3-numpy,
 python3-nxtomo,
 python3-psutil,
 python3-pytest,
 python3-pyunitsystem,
 python3-pyvkfft,
 python3-pywt,
 python3-scipy,
 python3-setuptools,
 python3-silx,
 python3-skimage,
 python3-tifffile,
 python3-tomoscan,
 python3-wheel,
Standards-Version: 4.6.2.0
Homepage: https://gitlab.esrf.fr/tomotools/nabu
Vcs-Git: https://salsa.debian.org/python-team/packages/nabu.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nabu
Rules-Requires-Root: no

Package: python3-nabu
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ESRF tomography processing software
 Nabu can be used in several ways:
  - As a Python library, by features like Backprojector, FlatField, etc
  - As a standalone application with the command line interface
  - From Tomwer (https://gitlab.esrf.fr/tomotools/tomwer/)

## nabu 2024.2.0

=== debian/changelog ===
nabu (2024.2.0-2) unstable; urgency=medium

  * Update Build-Depends with <!nocheck> marker.

 -- Roland Mas <lolando@debian.org>  Wed, 18 Dec 2024 12:50:10 +0100

nabu (2024.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add versioned build-depends on tomoscan to fix: "FTBFS: E
    ModuleNotFoundError: No module named 'tomoscan.series'", thanks to
    Santiago Vila (Closes: #1090107).

 -- Roland Mas <lolando@debian.org>  Tue, 17 Dec 2024 11:52:13 +0100

nabu (2024.2.0~rc4-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 06 Dec 2024 17:06:20 +0100

## nabu 2024.2.1

=== debian/changelog ===
nabu (2024.2.1-1) unstable; urgency=medium

  * New upstream release, fixing: "Debci errors with latest pocl", thanks
    to Andreas Tille (Closes: #1090719).

 -- Roland Mas <lolando@debian.org>  Wed, 18 Dec 2024 14:59:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,21 +12,22 @@
  pocl-opencl-icd,
  pybuild-plugin-pyproject,
  python3-all,
- python3-glymur,
- python3-h5py (>= 3.0),
- python3-numpy,
- python3-nxtomo,
- python3-psutil,
- python3-pytest,
- python3-pyunitsystem,
- python3-pyvkfft,
- python3-pywt,
- python3-scipy,
+ python3-glymur <!nocheck>,
+ python3-h5py (>= 3.0) <!nocheck>,
+ python3-numpy <!nocheck>,
+ python3-nxtomo <!nocheck>,
+ python3-psutil <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pyunitsystem <!nocheck>,
+ python3-pyvkfft <!nocheck>,
+ python3-pywt <!nocheck>,
+ python3-scipy <!nocheck>,
  python3-setuptools,
- python3-silx,
- python3-skimage,
- python3-tifffile,
- python3-tomoscan,
+ python3-silx <!nocheck>,
+ python3-skimage <!nocheck>,
+ python3-tifffile <!nocheck>,
+ python3-tomoscan (>= 2.1.2) <!nocheck>,
+ python3-tqdm <!nocheck>,
  python3-wheel,
 Standards-Version: 4.6.2.0
 Homepage: https://gitlab.esrf.fr/tomotools/nabu
@@ -37,6 +38,7 @@
 Package: python3-nabu
 Architecture: all
 Depends:
+ python3-pyvkfft,
  ${misc:Depends},
  ${python3:Depends},
 Description: ESRF tomography processing software

=== debian/tests/control ===
Tests: nabu-pocl
Depends:
 clinfo,
 pocl-opencl-icd,
 python3-all,
 python3-nabu,
Architecture: amd64 arm64
Restrictions: allow-stderr

=== debian/watch ===
version=4
# try also https://pypi.debian.net/nabu/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/nabu/nabu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## nabu 2025.2.0

=== debian/changelog ===
nabu (2025.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Tighten versioned build-dependency, fixing: "fails tests", thanks to
    Drew Parsons (Closes: #1119844).

 -- Roland Mas <lolando@debian.org>  Sat, 29 Nov 2025 17:36:41 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-h5py (>= 3.0) <!nocheck>,
  python3-numpy <!nocheck>,
  python3-nxtomo <!nocheck>,
+ python3-pint <!nocheck>,
  python3-psutil <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pyunitsystem <!nocheck>,
@@ -26,7 +27,7 @@
  python3-silx <!nocheck>,
  python3-skimage <!nocheck>,
  python3-tifffile <!nocheck>,
- python3-tomoscan (>= 2.1.2) <!nocheck>,
+ python3-tomoscan (>= 2.3.0~) <!nocheck>,
  python3-tqdm <!nocheck>,
  python3-wheel,
 Standards-Version: 4.6.2.0
